Create a SMTP API token.
curl --request POST \
--url https://api.hubapi.com/marketing/v3/transactional/smtp-tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaignName": "<string>",
"createContact": true
}
'import requests
url = "https://api.hubapi.com/marketing/v3/transactional/smtp-tokens"
payload = {
"campaignName": "<string>",
"createContact": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({campaignName: '<string>', createContact: true})
};
fetch('https://api.hubapi.com/marketing/v3/transactional/smtp-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"campaignName": "<string>",
"createContact": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"emailCampaignId": "<string>",
"id": "<string>",
"password": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}SMTP Tokens
Create a SMTP API token.
Create a SMTP API token.
POST
/
marketing
/
v3
/
transactional
/
smtp-tokens
Create a SMTP API token.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
successful operation
A name for the campaign tied to the token.
Indicates whether a contact should be created for email recipients.
Timestamp generated when a token is created.
Email address of the user that sent the token creation request.
Identifier assigned to the campaign provided in the token creation request.
User name to log into the HubSpot SMTP server.
Password used to log into the HubSpot SMTP server.
Last modified on March 30, 2026
Was this page helpful?